Package org.apache.qpid.proton.logging

# Class LoggingProtocolTracer

java.lang.Object
org.apache.qpid.proton.logging.LoggingProtocolTracer

All Implemented Interfaces:
  `ProtocolTracer`

public class LoggingProtocolTracer extends Object implements ProtocolTracer

## Constructor Summary

Constructors
Constructor
Description
`LoggingProtocolTracer()`
`LoggingProtocolTracer(String logMessagePrefix)`

## Method Summary

Modifier and Type
Method
Description
`void`
`receivedFrame(TransportFrame transportFrame)`
`void`
`sentFrame(TransportFrame transportFrame)`
`void`
`setLogMessagePrefix(String logMessagePrefix)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.qpid.proton.engine.impl.ProtocolTracer

`receivedHeader, receivedSaslBody, sentHeader, sentSaslBody`

## Constructor Details

### LoggingProtocolTracer

public LoggingProtocolTracer()

### LoggingProtocolTracer

public LoggingProtocolTracer(String logMessagePrefix)

## Method Details

### receivedFrame

public void receivedFrame(TransportFrame transportFrame)

Specified by:
  `receivedFrame` in interface `ProtocolTracer`

### sentFrame

public void sentFrame(TransportFrame transportFrame)

Specified by:
  `sentFrame` in interface `ProtocolTracer`

### setLogMessagePrefix

public void setLogMessagePrefix(String logMessagePrefix)